<template>
  <form @submit="submit" class="comment-form">
      <h3 class="comment-form--header">Write a comment:</h3>
      <div class="comment-form--input-container">
        <textarea class="comment-form--input" placeholder="Message" v-bind:value="commentBody" @input="$emit('change', $event.target.value)" />
        <div class="comment-form--error" v-if="error">
            {{ error }}
        </div>
        <div class="comment-form--success" v-if="success">
            {{ success }}
        </div>
      </div>
      <button type="submit" class="comment-form--submit">{{ !submitting ? 'Submit' : 'Submitting ...' }}</button>
  </form>
</template>

<script>
export default {
  name: 'CommentForm',
  props: [ 'commentBody', 'error', 'success', 'submitting' ],
  model: {
      prop: 'commentBody',
      event: 'change'
  },
  methods: {
      submit: function(e){
          e.preventDefault();
          if(!this.submitting){
              this.$emit('submit', this.commentBody)
          }
      }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.comment-form {
    text-align: left;
    margin-bottom: 100px;
    max-width: 800px;
}

.comment-form--header {
    margin: 0;
    padding: 0;
    font-size: 22px;
    line-height: 24px;
    font-weight: bold;
    color: #293039;
    margin-bottom: 40px;
}

.comment-form--input-container {
    margin-bottom: 40px;
}

.comment-form--input {
    box-sizing: border-box;
    width: 100%;
    resize: vertical;
    height: 180px;
    padding: 25px;
    font-size: 16px;
    line-height: 24px;
    border-radius: 10px;
    margin-bottom: 10px;
}

.comment-form--error {
    color: red;
}

.comment-form--success {
    color: green;
}

.comment-form--submit {
    display: block;
    box-sizing: border-box;
    background: transparent;
    border: none;
    cursor: pointer;
    border-radius: 26px;
    height: 52px;
    background-color: #3b2eb2;
    padding: 20px 26px;
    min-width: 140px;
    color: #fff;
    font-size: 14px;
    line-height: 15px;
    font-weight: bold;
}
</style>
